<?xml version="1.0" encoding="utf-8"?>
<database name="ws-gsb-connection" defaultIdMethod="native" defaultPhpNamingMethod="underscore" namespace="App\Http\Model">
  <table name="etat" idMethod="native" phpName="Etat">
    <column name="idEtat" phpName="Idetat" type="VARCHAR" size="2" primaryKey="true" required="true"/>
    <column name="libelleEtat" phpName="Libelleetat" type="VARCHAR" size="30" required="true"/>
    <vendor type="mysql">
      <parameter name="Engine" value="InnoDB"/>
    </vendor>
  </table>
  <table name="fichefrais" idMethod="native" phpName="Fichefrais">
    <column name="idFicheFrais" phpName="Idfichefrais" type="INTEGER" primaryKey="true" autoIncrement="true" required="true"/>
    <column name="moisAnnee" phpName="Moisannee" type="CHAR" size="6" required="true"/>
    <column name="nbJustificatifs" phpName="Nbjustificatifs" type="INTEGER"/>
    <column name="montantValide" phpName="Montantvalide" type="DECIMAL" scale="0"/>
    <column name="dateModif" phpName="Datemodif" type="INTEGER"/>
    <column name="idVisiteur" phpName="Idvisiteur" type="VARCHAR" size="4" required="true"/>
    <column name="idEtat" phpName="Idetat" type="VARCHAR" size="2" required="true"/>
    <foreign-key foreignTable="etat" name="fk_etat">
      <reference local="idEtat" foreign="idEtat"/>
    </foreign-key>
    <foreign-key foreignTable="utilisateur" name="fk_visiteur">
      <reference local="idVisiteur" foreign="idUser"/>
    </foreign-key>
    <index name="fk_visiteur">
      <index-column name="idVisiteur"/>
    </index>
    <index name="fk_etat">
      <index-column name="idEtat"/>
    </index>
    <unique name="u_ficheFraisMois">
      <unique-column name="idFicheFrais"/>
      <unique-column name="moisAnnee"/>
    </unique>
    <vendor type="mysql">
      <parameter name="Engine" value="InnoDB"/>
    </vendor>
  </table>
  <table name="fraisforfait" idMethod="native" phpName="Fraisforfait">
    <column name="idFraisForfait" phpName="Idfraisforfait" type="VARCHAR" size="3" primaryKey="true" required="true"/>
    <column name="libelleFraisForfait" phpName="Libellefraisforfait" type="VARCHAR" size="20" required="true"/>
    <column name="montantFraisForfait" phpName="Montantfraisforfait" type="DECIMAL" size="5" scale="2" required="true"/>
    <vendor type="mysql">
      <parameter name="Engine" value="InnoDB"/>
    </vendor>
  </table>
  <table name="lignefraisforfait" idMethod="native" phpName="Lignefraisforfait">
    <column name="idFraisForfait" phpName="Idfraisforfait" type="VARCHAR" size="3" primaryKey="true" required="true"/>
    <column name="idFicheFrais" phpName="Idfichefrais" type="INTEGER" primaryKey="true" required="true"/>
    <column name="quantite" phpName="Quantite" type="SMALLINT" required="true"/>
    <index name="fk_ficheFrais">
      <index-column name="idFicheFrais"/>
    </index>
    <vendor type="mysql">
      <parameter name="Engine" value="InnoDB"/>
    </vendor>
  </table>
  <table name="lignefraishorsforfait" idMethod="native" phpName="Lignefraishorsforfait">
    <column name="idFicheFrais" phpName="Idfichefrais" type="INTEGER" required="true"/>
    <column name="idLigneFraisHorsForfait" phpName="Idlignefraishorsforfait" type="INTEGER" primaryKey="true" autoIncrement="true" required="true"/>
    <column name="date" phpName="Date" type="INTEGER" required="true"/>
    <column name="montant" phpName="Montant" type="DECIMAL" size="10" scale="2" required="true"/>
    <column name="libelle" phpName="Libelle" type="VARCHAR" size="100" required="true"/>
    <column name="justificatif" phpName="Justificatif" type="BOOLEAN" size="1" required="true" defaultValue="false"/>
    <column name="nomJustificatif" phpName="Nomjustificatif" type="VARCHAR" size="30"/>
    <index name="idFicheFrais">
      <index-column name="idFicheFrais"/>
    </index>
    <vendor type="mysql">
      <parameter name="Engine" value="InnoDB"/>
    </vendor>
  </table>
  <table name="utilisateur" idMethod="native" phpName="Utilisateur">
    <column name="idUser" phpName="Iduser" type="VARCHAR" size="4" primaryKey="true" required="true"/>
    <column name="nom" phpName="Nom" type="VARCHAR" size="30" required="true"/>
    <column name="prenom" phpName="Prenom" type="VARCHAR" size="30" required="true"/>
    <column name="login" phpName="Login" type="VARCHAR" size="20" required="true"/>
    <column name="mdp" phpName="Mdp" type="VARCHAR" size="20" required="true"/>
    <column name="adresse" phpName="Adresse" type="VARCHAR" size="30" required="true"/>
    <column name="ville" phpName="Ville" type="VARCHAR" size="30" required="true"/>
    <column name="cp" phpName="Cp" type="VARCHAR" size="5" required="true"/>
    <column name="dateEmbauche" phpName="Dateembauche" type="DATE" required="true"/>
    <column name="profil" phpName="Profil" type="CHAR" sqlType="enum('Visiteur','Comptable')" required="true"/>
    <vendor type="mysql">
      <parameter name="Engine" value="InnoDB"/>
    </vendor>
  </table>
</database>